English

Error: The version could not be posted. Insufficient permissions

Error Message

The following error message occurs after successfully reconciling a version with default and attempting to post:

"The version could not be posted. Insufficient permissions"

Cause

1) The geodatabase has data that is registered with the option to move edits to base,
2) edits have been performed by other users in the same version on the above referenced data that is registered with move to base, and
3) the user currently performing the post does not have full privileges on the above referenced data that is registered with move to base.

Since the post is on the entire geodatabase and not restricted to only the data the current user has edited, an attempt is being made to post all the changes for that version, regardless of who edited the data, to default. Data registered with the move to base option need to have their edits moved to the base state, and the current user does not have the required permission.

The sde_<sde service>.log file reports that the user lacks sufficient rights to save to base state.

Solution or Workaround

All users performing a post are required to have full privilege on all data that has been both registered as versioned with the move to base option and modified in the version since the last save or post to Default.

All users owning data that has been registered with the option to move to base must grant full privilege on these data to users wishing to post.

See related ESRI Knowledge Base article, FAQ: What is 'Registering data with options to move edit to base?', to determine if data with the option to moved edits to base needs to be registered.